Subject: Re: [linux-nics] [PATCH] e1000: remove unused variables

From: Sudip Mukherjee <[email-masked]>
Date: Tue, 2 Dec 2014 19:54:33 +0530

On Mon, Dec 01, 2014 at 06:56:46PM +0000, Fujinaka, Todd wrote:
> After discussing this locally, I'd like to NAK it because this could cause regressions to parts that are still in use but we don't have access to. Also, the assignment was necessary in the past for some versions of gcc and since this may be used in embedded systems using older compilers, we should leave it be.
> 
ok. i understand.
just a thought:
maybe you can put a comment in the file that these are there for a reason and should not be removed. else, you might receive the same type of patch again from someone else.

thanks
sudip

> Thanks.
> 
> Todd Fujinaka
> Software Application Engineer
> Networking Division (ND)
> Intel Corporation
> [email-masked]
> (503) 712-4565
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Sudip Mukherjee
> Sent: Sunday, November 30, 2014 8:55 PM
> To: Ben Hutchings
> Cc: Linux NICS; [email-masked]; Hisashi T Fujinaka; Vick, Matthew; [email-masked]; Kirsher, Jeffrey T; [email-masked]; Wyborny, Carolyn; [email-masked]; [email-masked]
> Subject: Re: [linux-nics] [PATCH] e1000: remove unused variables
> 
> On Sun, Nov 30, 2014 at 01:45:13AM +0000, Ben Hutchings wrote:
> > On Wed, 2014-11-26 at 21:59 -0800, Hisashi T Fujinaka wrote:
> > > I'm pretty sure those double reads are there for a reason, so most 
> > > of this I'm going to have to check on Monday. We have a long holiday 
> > > weekend here in the US.
> > [...]
> > 
> > If there were double register reads being replaced with single 
> > register reads, I'd agree this was likely to introduce a regression.  
> > But all I see is var = er32(REG) being changed to er32(REG).
> 
> no, double register reads are not modified. only the unused variables are removed.
> 
> thanks
> sudip
> 
> > 
> > Ben.
> > 
> > --
> > Ben Hutchings
> > The world is coming to an end.	Please log off.
> 
> 
> _______________________________________________
> Linux-nics mailing list
> [email-masked]